<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Nacionalidad jugador</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="formNacion">
                <h:panelGrid columns="2">
                    <p:outputLabel value="Seleccione Jugador"/>
                    <p:selectOneMenu value="#{nacionalidadController.jugador.idjugador}">
                        <f:selectItems value="#{jugadorController.lista}" var="jugador" itemValue="#{jugador.idjugador}" itemLabel="#{jugador.nombre}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="Seleccione el pais"/>
                    <p:selectOneMenu value="#{nacionalidadController.pais.idpais}">
                        <f:selectItems value="#{paisController.lista}" var="pais" itemValue="#{pais.idpais}" itemLabel="#{pais.pais}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Guardar" actionListener="#{nacionalidadController.insertar()}" update="formNacion,:listaNacion"/>
                    <p:commandButton value="Actualizar" actionListener="#{nacionalidadController.actualizar()}" update="formNacion,:listaNacion"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br/>
        <p:fieldset legend="Lista de Jugadores con su  Nacionalidad">
            <h:form id="listaNacion">
                <p:dataTable value="#{nacionalidadController.lista}" var="naciones" paginator="true" rows="8">
                    <p:column headerText="Id">
                        <p:outputLabel value="#{naciones.idnacion}"/>
                    </p:column>
                    <p:column headerText="Jugador">
                        <p:outputLabel value="#{naciones.idjugador.nombre}"/>
                    </p:column>
                    <p:column headerText="Pais">
                        <p:outputLabel value="#{naciones.idpais.pais}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar" actionListener="#{nacionalidadController.eliminar(naciones)}" update="listaNacion"/>
                        <p:commandButton value="Actualizar" actionListener="#{nacionalidadController.consultarById(naciones)}" update=":formNacion"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>